
Redmine - Patch #23519

Don't preload projects and roles on Principal#memberships association

2016-08-05 17:51 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Why it should preload project and roles by default? it is not used over the redmine much, and somewhare it is not good to preloading

those associations.

Associated revisions

Revision 16153 - 2017-01-07 12:40 - Jean-Philippe Lang

Don't preload projects and roles on Principal#memberships association (#23519).

Patch by Ondřej Ezr.

Revision 16154 - 2017-01-07 12:40 - Jean-Philippe Lang

Reset #roles on reload (#23519).

Revision 16155 - 2017-01-07 12:41 - Jean-Philippe Lang

Don't destructively insert builtin_role into roles (#23519).

Revision 16156 - 2017-01-07 13:10 - Jean-Philippe Lang

Preload :roles for displaying user memberships (#23519).

History

#1 - 2016-08-12 17:15 - Ondřej Ezr

- File memberships_performance.diff added

No reason for preload in membership(...)

#2 - 2016-08-27 06:32 - Toshi MARUYAMA

- Target version set to 3.4.0

#3 - 2017-01-07 12:40 - Jean-Philippe Lang

- Subject changed from Performance for memberships to Don't preload projects and roles on Principal#memberships association

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks. FTR, the proposed patch was not working as expected and broke a few tests, #roles has to be called explicitly (using

self.roles) due to a variable naming clash in #allowed_to?.

Files

memberships_performance.diff 3.42 KB 2016-08-05 Ondřej Ezr

memberships_performance.diff 3.13 KB 2016-08-12 Ondřej Ezr
